geography/viking - The NetBSD Packages Collection

Viking manages GPS data, supports OpenStreetMap and geocaching

Viking is a Free/open-source program to manage GPS data.
You can import, plot and create tracks, routes and waypoints, show OSM
(OpenStreetMap), Bing Aerial and other tiled maps, geotag images,
create routes using OSRM, see real-time GPS position, control items,
etc.

Build dependencies

pkgtools/x11-links textproc/gnome-doc-utils x11/xorgproto x11/xcb-proto pkgtools/cwrappers textproc/docbook-xsl devel/glib2-tools textproc/intltool devel/gmake textproc/itstool lang/perl5 devel/pkgconf

Runtime dependencies

sysutils/desktop-file-utils graphics/libexif graphics/gexiv2 graphics/png geography/gpsd graphics/hicolor-icon-theme textproc/rarian security/nettle textproc/json-glib www/curl x11/gtk3 sysutils/desktop-file-utils graphics/libexif graphics/gexiv2 graphics/png graphics/hicolor-icon-theme security/nettle textproc/json-glib www/curl x11/gtk3

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfviking-1.8nb6.tgz
NetBSD 8.0i386viking-1.8nb5.tgz
NetBSD 8.0i386viking-1.8nb6.tgz
NetBSD 8.0x86_64viking-1.8nb5.tgz
NetBSD 8.0x86_64viking-1.8nb6.tgz
NetBSD 9.0aarch64viking-1.8nb5.tgz
NetBSD 9.0aarch64viking-1.8nb6.tgz
NetBSD 9.0alphaviking-1.8nb5.tgz
NetBSD 9.0alphaviking-1.8nb6.tgz
NetBSD 9.0i386viking-1.8nb5.tgz
NetBSD 9.0i386viking-1.8nb6.tgz
NetBSD 9.0mips64ebviking-1.8nb6.tgz
NetBSD 9.0sparc64viking-1.8nb5.tgz
NetBSD 9.0sparc64viking-1.8nb6.tgz
NetBSD 9.0x86_64viking-1.8nb6.tgz
NetBSD 9.0x86_64viking-1.8nb6.tgz
NetBSD 9.0x86_64viking-1.8nb7.tgz
NetBSD 9.0x86_64viking-1.8nb5.tgz
NetBSD 9.0x86_64viking-1.8nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.